The Canva Admin API is currently provided as a preview and is subject to change.

Get user

Gets a user.

HTTP method and URL path

GET https://api.canva.com/admin/v1/users/{userId}

Authentication and authorization

This endpoint requires a valid access token that was generated using client credentials.

Scopes

The access token must have all the following scopes (permissions):

  • admin:user:read

Header parameters

Authorizationstring
Required

Provides credentials to authenticate the request, in the form of a Bearer token.

For example: Authorization: Bearer {token}

Path parameters

userIdstring
Required

The user ID.

Example request

Examples for using the /v1/users/{userId} endpoint:

curl --request GET 'https://api.canva.com/admin/v1/users/{userId}' \
--header 'Authorization: Bearer {token}'
SH
const fetch = require("node-fetch");
fetch("https://api.canva.com/admin/v1/users/{userId}", {
method: "GET",
headers: {
"Authorization": "Bearer {token}",
},
})
.then(async (response) => {
const data = await response.json();
console.log(data);
})
.catch(err => console.error(err));
JS
import java.io.IOException;
import java.net.URI;
import java.net.http.*;
public class ApiExample {
public static void main(String[] args) throws IOException, InterruptedException {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.canva.com/admin/v1/users/{userId}"))
.header("Authorization", "Bearer {token}")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(
request,
HttpResponse.BodyHandlers.ofString()
);
System.out.println(response.body());
}
}
JAVA
import requests
headers = {
"Authorization": "Bearer {token}"
}
response = requests.get("https://api.canva.com/admin/v1/users/{userId}",
headers=headers
)
print(response.json())
PY
using System.Net.Http;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://api.canva.com/admin/v1/users/{userId}"),
Headers =
{
{ "Authorization", "Bearer {token}" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
};
CSHARP
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.canva.com/admin/v1/users/{userId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer {token}")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
GO
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://api.canva.com/admin/v1/users/{userId}",
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer {token}',
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if (empty($err)) {
echo $response;
} else {
echo "Error: " . $err;
}
PHP
require 'net/http'
require 'uri'
url = URI('https://api.canva.com/admin/v1/users/{userId}')
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request['Authorization'] = 'Bearer {token}'
response = http.request(request)
puts response.read_body
RUBY

Success response

If successful, the endpoint returns a 200 response with a JSON body with the following parameters:

userUser

A user.

idstring

The user ID.

display_namestring
Optional

The display name of the user.

emailstring
Optional

The email address of the user.

first_namestring
Optional

The first name of the user.

last_namestring
Optional

The last name of the user.

last_active_atinteger
Optional

When the user was last active, as a Unix timestamp (in seconds since the Unix Epoch).

localestring
Optional

The locale of the user, as an IETF BCP 47 language tag.

rolestring
Optional

The role of the user in the organization.

Available values:

  • admin
  • brand_designer
  • member
saml_accountSamlAccount
Optional

The SAML account details used to link the user to the organization's identity provider for SSO.

idp_issuerstring

The issuer URL of the SAML identity provider. Must resolve to an identity provider owned by the caller's organization.

Minimum length: 1

name_idstring

The SAML NameID that identifies the user to the identity provider. Case sensitive, should not change.

Minimum length: 1

Example response

{
"user": {
"id": "UAAAAAAAAA1",
"display_name": "Joe Smith",
"email": "joe@acme.com",
"first_name": "Joe",
"last_name": "Smith",
"last_active_at": 1750300000,
"locale": "en",
"role": "admin"
}
}
JSON

Error responses

404 Not Found

codestring

A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.

messagestring

A human-readable description of what went wrong.

Example error response

The user was not found
{
"code": "user_not_found",
"message": "User {userId} not found"
}
JSON